Jump to content

СтанІслав

Пользователи
  • Posts

    16
  • Joined

  • Last visited

Everything posted by СтанІслав

  1. Ответ нашёлся! На сайте vpakulin.narod.ru/Lesson8.htm есть строчка Таким же образом можно получить и искомую мной площадь, например :
  2. Нужно подобрать данные (площадь, координаты точек) с новой полилинии, которая образовалась после выполнения функции Offset. Сайт vbamodel.narod.ru говорит о том, что функция Offset на выходе даёт переменную типа Variant. Отсюда два вопроса: 1. Есть ли какой-то способ перевести Variant в AcadLWPolyline? 2. Подозреваю, что нет. Тогда есть ли возможность, чтобы программа автоматически подбирала новую полилинию? П.С. Offset ещё к тому же странно себя ведёт: даёшь положительное значение - она откладывает внутрь новую полилинию, отрицательное - наружу.
  3. https://docs.google.com/file/d/0B4s7pb9O8hqPc29oM2xIeUM2LTQ/edit?usp=sharing ГОСТ2303_4.dwg
  4. Есть замкнутая полилиния (касается и обычных отрезков). Стиль линии - встроенный "GOST 2.303 4" https://lh3.googleusercontent.com/-DAceBo-EtA4/Up7gPbNzqzI/AAAAAAAAHCQ/z8uNojZSFO0/s640/2013-12-04_095541.png При выделении становятся видны направлюящие (или что это?) штрихов линии https://llh5.googleusercontent.com/-eNoOjC_zPuQ/Up7gPmQA0gI/AAAAAAAAHCU/uKW8TG1YfbA/s640/2013-12-04_095621.png https://llh5.googleusercontent.com/-Sct5ZlHWn0A/Up7gOcN9T4I/AAAAAAAAHCE/eTdQfAFqElM/s640/2013-12-04_095635.png Как от избавиться от этого спецэффекта? P.S. Пробелы в ссылках надо поудалять, а то администрация когда-то успела запретить ссылки на гугл+ - не могу сюда привязать скриншоты
  5. Хм... ну не знаю... У меня, например, GetPoint с ходу подбирает Keywords от предыдущего GetKeyword
  6. 1. По поводу присоединения. А ничего, что я не программист, а так, строитель, который больше для себя пытается оптимизировать мелкую работу (методами небольших скриптов)? А то меня пугают громкие слова "Разрабатываемое Вашей компанией ПО". 2.1. Флаг 32 сработал. Спасибо. 2.2. А есть ли команда возвращающая параметры этого самого InitializeUserInput к первоначальным значениям. Т.е. выполнил я InitializeUserInput с определёнными параметрами (как например, я спрашивал здесь http://forum.nanocad.ru/index.php?showtopic=4852), а потом хочу, чтобы при следующем вводе не было ни предыдущих ключевых слов и флаг вернулся к значению по умолчанию? Или это нужно вручную переопределять (а тогда вопрос: каким является флаг по умолчанию)? Спасибо.
  7. Довольно простые строки типа Dim retPnt Dim ut set ut = ThisDrawing.Utility retPnt = ut.GetPoint("0,0,0", "Введите точку") тянут за собой некоторые вопросы формата "а так и должно быть?": GetPoint без обязательных "0,0,0" (или подобного) не запускается (в отличие от Автокада) ; При включённом ОРТО свободная (не привязання оПривязкой) точка "подбирается" только с координат формата 0,Y,0 (если в качестве базовой точки было указано "0,0,0") или, например, 200,Y,400 (при "200,300,400"). Можно ли как-то избавиться от подобного глюка? Спасибо форуму, нашёл решение проблемы, когда не срабатывает "ut.prompt = retPnt(0)" . Оказывается необходимо выполнить "ThisDrawing.Utility.CreateSafeArrayFromVector(retPnt)". Неплохо было бы внести эту рекомендацию хоть куда-нибудь Теперь, используя п.3 добавляю к Х и Y по 2000 и пытаюсь прорисовать, например, круг: Dim oLine2, point_sa point_sa = ThisDrawing.Utility.CreateSafeArrayFromVector(retPnt) point_sa(0) = point_sa(0)+2000 point_sa(1) = point_sa(1)+2000 Set oLine2 = ThisDrawing.ModelSpace.addCircle (point_sa, 500) - этот код не срабатывает (Ошибка "Параметр задан неверно."), также как и Set oLine2 = ThisDrawing.ModelSpace.addCircle (CStr(point_sa(0))+","+CStr(point_sa(1))+","+CStr(point_sa(2)), 500) . В чём может быть загвоздка? Назад обязательно нужно переводить с помощью CreateTypedArray? Если да, то как им правильно пользоваться? Да, и ещё одна интересная особенность: координата Х подбирается, например, 200 (см.п.2), но при переводе SafeArray'ем получаю 199.999999999977. От этого, кроме как округлением невозможно избавиться? Спасибо. P.S. Конечно, хотелось бы вообще иметь руководство в стиле "для чайников" по поводу нестандартных особенностей работы со скриптами в КАДе. Как-то маловато в chm-ах написано
  8. Ага, понял, посмотрю, может даже этот вариант меня устроит Жаль, что слово "или" в строке запроса присутствует
  9. По поводу выбора - понял. По поводу ПОЛИЛАЙН - за совет спасибо, но это был скрин во время обычной ручной работы в НаноКаде. Просто выбирал инструмент, который мог бы показать тот метод выбора о котором спрашивал )
  10. Есть ли возможность силами VBS реализовать выбор опций в командной строке мышкой, как во встроенных функциях Нанокада, или необходимо прописывать только вручную? И если всё же можно, то дайте, пожалуйста, хотя бы ссылку на пример кода.
  11. Евгенич, возможно, у Вас повредился архив в результате сбоя закачки. Попробуйте скачать c двух других ссылок на сайте (они указаны вот здесь): 1) nanoCAD 3.0: 1194, опубликован 28.06.2011 (.exe, 69.9 МБ) - я, например, изначально качал отсюда . 2) с торрента rutracker.org Если же Вам удобнее качать с ftp - просто попробуйте ещё раз и внимательно проследите, чтобы файл закачался до конца
  12. Спасибо, помогло! Установил новые драйвера nvidia Теперь всё замечательно запускается!
  13. Кажется, Wibu появился вместе с АрхиКадом... Уже точно и не припомню Деинсталлировал... один из файлов не захотел удаляться из папки "Program Files/WIBU-system/" Удалил его вручную из безопасного режима. Вручную подчистил реестр: удалил всё, что содержало в названии "Wibu", кроме папок с названием "Legacy_Wibukey" - они отказались удаляться даже в безопасном режиме НаноКад всё равно не запускается Краш-логи тоже не наблюдается. На всякий случай, прикладываю обновлённую инфу о системе:msinfo32_20110719.zip
  14. Повторюсь ещё раз : blackbox.log и et_crash.log отсутсвуют. В качестве доказательства привожу следующий скриншот: Вот файл полученный командой msinfo32.exe msinfo32_20110718.zip
  15. Просмотрел форум, но ответа на свой вопрос не нашёл, но если гдк-то есть решение проблемы - прошу ткнуть носом ))) Проблема: Запускаю НаноКад 3.0 - он подгружает все библиотеки, показывает окно модели... То есть полностью загружается, но при этом сразу же вылетает Интересно, НаноКад 2,5 такой проблемой не страдает - запускается нормально и работает. Зато подобная проблема возникает также при запуске НаноКад Стройплощадка 2. Логов в папке установки нет. Есть только лог инсталяции в темповской папке nanoCAD 3.0 Setup (2011.06.15 18.37).log Переустановка Visual С++ x86 Redistributable (как 2008-го так и 2010 гг.) не помогла. Система Windows xp sp2 Заранее благодарен за помощь
×
×
  • Create New...